package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalGetTokenByRoomIDLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalGetTokenByRoomIDLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalGetTokenByRoomIDLogic {
	return &SignalGetTokenByRoomIDLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SignalGetTokenByRoomIDLogic) SignalGetTokenByRoomID(in *rtc.SignalGetTokenByRoomIDReq) (*rtc.SignalGetTokenByRoomIDResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalGetTokenByRoomIDResp{}, nil
}
